Bug 681971 - GUI respects systemwide setting for text color but not text field color
Summary: GUI respects systemwide setting for text color but not text field color
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 18:25 UTC by Garrett Holmstrom
Modified: 2015-02-01 22:53 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:18:04 UTC


Attachments (Terms of Use)
screenshot of white-on-white text field (24.25 KB, image/png)
2011-03-03 18:25 UTC, Garrett Holmstrom
no flags Details

Description Garrett Holmstrom 2011-03-03 18:25:30 UTC
Created attachment 482129 [details]
screenshot of white-on-white text field

Description of problem:
The lower text field in the ABRT dialog seems to always use a white background color along with the systemwide setting for text color.  This makes the field white-on-white on desktops with white-on-black themes.  If it is going to hardcode a color for the text field it should also hardcode a color for the text itself.  Alternatively it can respect the systemwide colors for both.

Version-Release number of selected component (if applicable):
abrt-1.1.17-1.fc14.x86_64

How reproducible:
See below

Steps to Reproduce:
1. Change GNOME to a white-on-black theme
2. Run abrt-gui
  
Actual results:
White text on a white background

Expected results:
Either white text on a black background or black text on a white background

Additional info:
Please see the attached screenshot for an example.

Comment 1 Fedora Update System 2011-03-27 17:34:38 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 2 Fedora Update System 2011-03-29 19:59:31 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 3 Fedora Update System 2011-03-30 02:30:48 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-30 16:47:14 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 5 Fedora Update System 2011-04-04 14:06:53 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 6 Fedora Update System 2011-04-15 15:06:44 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 7 Fedora Update System 2011-04-20 13:28:23 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 8 Fedora Update System 2011-04-21 16:43:08 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 9 Fedora Update System 2011-04-26 16:10:24 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.